# Generated by Django 3.1.3 on 2021-01-21 02:11

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone

import konst.models.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="Device",
            fields=[
                ("id", models.BigAutoField(primary_key=True, serialize=False)),
                (
                    "name",
                    models.TextField(
                        help_text="Name provided by users for easy recognition of the device",
                        max_length=1024,
                    ),
                ),
                (
                    "active",
                    models.BooleanField(
                        default=True,
                        help_text="FCM or the user may indicated if the token is valid or not",
                    ),
                ),
                (
                    "type",
                    konst.models.fields.ConstantChoiceCharField(
                        choices=[
                            ("ios", "ios"),
                            ("android", "android"),
                            ("web", "web"),
                        ],
                        max_length=30,
                    ),
                ),
                (
                    "token",
                    models.TextField(help_text="The FCM registration token value"),
                ),
                ("updated_at", models.DateTimeField(auto_now=True)),
                ("created_at", models.DateTimeField(default=django.utils.timezone.now)),
                (
                    "user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="devices",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "unique_together": {("user", "token")},
            },
        ),
    ]
